nxt.blockchain

## Class Bundler.Rule

- java.lang.Object
- - nxt.blockchain.Bundler.Rule

- Enclosing class:
    Bundler

      public static class Bundler.Rule
      extends java.lang.Object

  Bundling rule - transactions that match the filter and minimum rate of the rule are bundled. The fee payed by the bundler for the transaction is calculated according to the feeCalculator of the rule. More than one rule can be specified per bundler, the transaction is processed according to the first rule which accepts the transaction.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bundler.FeeCalculator` | `feeCalculator`
    `protected java.util.List<Bundler.Filter>` | `filters`
    `protected long` | `minRateNQTPerFXT`
    `protected java.math.BigInteger` | `minRateNQTPerFXTBigInteger`
    `protected long` | `overpayFQTPerFXT`
    `protected java.math.BigInteger` | `overpayFQTPerFXTBigInteger`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected long` | `calculateFeeFQT(ChildTransactionImpl childTransaction)`
    `Bundler.FeeCalculator` | `getFeeCalculator()`
    `java.util.List<Bundler.Filter>` | `getFilters()`
    `long` | `getMinRateNQTPerFXT()`
    `long` | `getOverpayFQTPerFXT()`
    `protected boolean` | `isTransactionAccepted(Bundler bundler, ChildTransactionImpl childTransaction)`
    `long` | `overpay(long feeFQT)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### feeCalculator

          protected final Bundler.FeeCalculator feeCalculator

    - #### filters

          protected final java.util.List<Bundler.Filter> filters

    - #### minRateNQTPerFXT

          protected final long minRateNQTPerFXT

    - #### minRateNQTPerFXTBigInteger

          protected final java.math.BigInteger minRateNQTPerFXTBigInteger

    - #### overpayFQTPerFXT

          protected final long overpayFQTPerFXT

    - #### overpayFQTPerFXTBigInteger

          protected final java.math.BigInteger overpayFQTPerFXTBigInteger

  - ### Method Detail

    - #### calculateFeeFQT

          protected long calculateFeeFQT(ChildTransactionImpl childTransaction)

    - #### getMinRateNQTPerFXT

          public final long getMinRateNQTPerFXT()

    - #### getOverpayFQTPerFXT

          public final long getOverpayFQTPerFXT()

    - #### getFilters

          public java.util.List<Bundler.Filter> getFilters()

    - #### getFeeCalculator

          public Bundler.FeeCalculator getFeeCalculator()

    - #### isTransactionAccepted

          protected boolean isTransactionAccepted(Bundler bundler,
                                                  ChildTransactionImpl childTransaction)

    - #### overpay

          public long overpay(long feeFQT)